edu.msu.cme.rdp.classifier.train.validation.leaveoneout

## Class LeaveOneOutTester

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.leaveoneout.LeaveOneOutTester

    public class LeaveOneOutTester
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LeaveOneOutTester(java.io.Writer writer, int numGoodBases)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<java.util.HashMap<java.lang.String,StatusCount>>` `classify(TreeFactory factory, LineageSequenceParser parser, boolean useSeed, int min_bootstrap_words, boolean hideTaxon)` perform leave-one-out test.
`void` `displayTreeErrorRate(HierarchyTree root, int indent)`
`protected java.util.Map` `getNum_hierLevelMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LeaveOneOutTester

    public LeaveOneOutTester(java.io.Writer writer,
                             int numGoodBases)
                      throws java.io.IOException

Parameters:
  `writer` -
  `numGoodBases` - 0 for all bases from the query, positive integer for partial length testing
Throws:
  `java.io.IOException`

### Method Detail

#### classify

    public java.util.ArrayList<java.util.HashMap<java.lang.String,StatusCount>> classify(TreeFactory factory,
                                                                                         LineageSequenceParser parser,
                                                                                         boolean useSeed,
                                                                                         int min_bootstrap_words,
                                                                                         boolean hideTaxon)
                                                                                  throws java.io.IOException

perform leave-one-out test. For each query sequence, remove it from the training set and test the classifier, put it back after each testing. The accuracy, misclassified sequences and the misclassified count for each taxon is written into the output file.

Parameters:
  `factory` -
  `parser` -
  `useSeed` -
Throws:
  `java.io.IOException`

#### displayTreeErrorRate

    public void displayTreeErrorRate(HierarchyTree root,
                                     int indent)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### getNum_hierLevelMap

    protected java.util.Map getNum_hierLevelMap()